<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Menu?>
<?import javafx.scene.control.MenuBar?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.RowConstraints?>

<AnchorPane fx:id="mainAnchorPane" prefHeight="600.0" prefWidth="1200.0" stylesheets="@../../Stylesheets/bootstrap.css" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="seng302.GUI.Clinician.ClinicianSceneController">
    <children>
        <BorderPane AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <center>
                <TabPane fx:id="clinicianTabPane" prefHeight="550.0" prefWidth="850.0" tabClosingPolicy="UNAVAILABLE">
                    <tabs>
                        <Tab fx:id="clinicianProfileTab" style="-fx-background-color: #FFFFFF;" text="Clinician Profile">
                            <content>
                                <fx:include fx:id="clinicianProfile" source="clinicianProfileTab.fxml" />
                            </content>
                        </Tab>
                        <Tab fx:id="searchTab" style="-fx-background-color: #FFFFFF;" text="Search">
                            <content>
                                <fx:include fx:id="clinicianSearchTab" source="clinicianSearchTab.fxml" />
                            </content>
                        </Tab>
                        <Tab fx:id="clinicianTransplantWaitingTab" style="-fx-background-color: #FFFFFF;" text="Transplant Waiting List">
                            <content>
                                <fx:include fx:id="clinicianTransplantWaiting" source="clinicianTransplantWaitingTab.fxml" />
                            </content>
                        </Tab>
                        <Tab fx:id="availableOrganTab" style="-fx-background-color: #FFFFFF;" text="Available Organs">
                            <content>
                                <fx:include fx:id="organTablePane" source="availableOrganTab.fxml" />
                            </content>
                        </Tab>

                        <Tab fx:id="gMapTab" style="-fx-background-color: #FFFFFF;" text="Hospital Map">
                            <fx:include fx:id="gMap" source="../Map/gMap.fxml" />
                        </Tab>

                        <Tab fx:id="requestsTab" style="-fx-background-color: #FFFFFF;" text="Requests">
                            <fx:include fx:id="request" source="request.fxml" />
                        </Tab>
                    </tabs>
                </TabPane>
            </center>
            <top>
                <GridPane prefHeight="35.0" style="-fx-background-color: #FFFFFF;">
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="136.0" minWidth="10.0" prefWidth="118.0" />
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="811.0" minWidth="10.0" prefWidth="780.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <MenuBar maxHeight="1.7976931348623157E308" maxWidth="138.0" prefHeight="35.0" prefWidth="138.0" style="-fx-background-color: #FFFFFF;" BorderPane.alignment="CENTER">
                            <menus>
                                <Menu fx:id="fileMenu" mnemonicParsing="false" text="File">
                                    <items>
                                        <MenuItem fx:id="editMenuItem" mnemonicParsing="false" onAction="#editEvent" text="Edit" />
                                        <MenuItem fx:id="emptyCacheItem" mnemonicParsing="false" onAction="#emptyCache" text="Empty Cache" />
                                        <MenuItem fx:id="logoutMenuItem" mnemonicParsing="false" onAction="#logout" text="Logout" />
                                    </items>
                                </Menu>
                        <Menu fx:id="chatMenuItem" mnemonicParsing="false" text="Chat">
                          <items>
                            <MenuItem mnemonicParsing="false" onAction="#openChat" text="Open Chat" />
                          </items>
                        </Menu>
                            </menus>
                        </MenuBar>
                        <HBox prefHeight="0.0" prefWidth="100.0" spacing="5.0" style="-fx-background-color: #FFFFFF;" GridPane.columnIndex="1">
                            <GridPane.margin>
                                <Insets />
                            </GridPane.margin>
                            <padding>
                                <Insets top="5.0" />
                            </padding>
                            <children>
                                <Button fx:id="undo" mnemonicParsing="false" text="Undo" />
                                <Button fx:id="redo" mnemonicParsing="false" text="Redo" />
                            </children>
                        </HBox>
                    </children>
                </GridPane>
            </top>
        </BorderPane>
    </children>
</AnchorPane>
